import type { Metadata } from "next";
import { Inter } from "next/font/google";
import { Toaster } from "@/components/ui/toaster";
import "./tailwind.css";
import Link from "next/link";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Subman",
  description: "A self-hosted literary submission tracker."
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <div id="layout-container" className="flex">
          <div id="sidebar" >
            <Link href="/story/create"><h1>Create Story</h1></Link>
            <Link href="/publication/create"><h1>Create Publication</h1></Link>
          </div>
          {children}
        </div>
        <Toaster />
      </body>
    </html >
  );
}
